module AR
  module Game

    class HiddenCave01 < Scene
      def initialize id=nil
        super 

        self.noun = "hidden cavern"

        add_story_implement StoryImplement.new
      end


      class Story < AR::Game::StoryBehavior::Story
      end

      class StoryImplement < AR::Game::StoryBehavior::StoryImplement
        def initialize stories=[]
          super

          story =  Story.new when: AR::Events::ARObjectEnteredInhabitableEvent, as: "inhabitable" do |e|
            if e.enterer == e.engine.world.player
              ret = "You torch lights the way into a dusty cavern chamber."
            else 
              ret = ""
            end
            ret 
          end
          add_story story

          story =  Story.new when: AR::Events::DiscoverableInspectedEvent, as: "discoverable" do |e|
            if e.inspector == e.engine.world.player
              ret = "This chamber looks ancient, and seems untouched for at least a century."
            else 
              ret = ""
            end
            ret 
          end
          add_story story
        end
      end
    end




  end
end
